petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPFCDTruncationType

Define how stored directions are used to orthogonalize in flexible conjugate directions (FCD) methods

### Synopsis

    typedef enum {KSP_FCD_TRUNC_TYPE_STANDARD,KSP_FCD_TRUNC_TYPE_NOTAY} KSPFCDTruncationType;

KSP_FCD_TRUNC_TYPE_STANDARD uses all (up to mmax) stored directions Many brKSP_FCD_TRUNC_TYPE_NOTAY uses the last max(1,mod(i,mmax)) stored directions at iteration i=0,1.. Many br

Many br

### See Also

: KSPFCG,KSPPIPEFCG,KSPPIPEGCR,KSPFCGSetTruncationType(),KSPFCGGetTruncationType()

Level:intermediate
Location:src/ksp/ksp/../../../include/petscksp.h
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages